commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary Gregory" <>
Subject RE: [lang] Release Candidiate 8 available
Date Wed, 01 Jun 2005 20:37:39 GMT

I've added the following to RELEASE-NOTES.txt:

- Starting with version 2.1, Ant version 1.6.x is required to build.
junit.jar to ANT_HOME/lib. You can get JUnit from


-----Original Message-----
From: Simon Kitching [] 
Sent: Wednesday, June 01, 2005 6:43 AM
To: Jakarta Commons Developers List
Subject: Re: [lang] Release Candidiate 8 available

On Tue, 2005-05-31 at 22:38 -0400, Steven Caswell wrote:
> Commons-lang 2.1 release candidate 8 is available at 
> Primary change is Gary's working out the oddball build and class
> issue that only seems to happen on Windows XP (SP2) since Simon
reports that 
> the ant build works fine for him on Linux.
> As with previous RCs, verification against as many JDK versions would
> appreciated, and a sanity check of the docs would also be welcome.
> Vote to follow if no reports of problems.

Ok, apart from the issue that junit.jar had to be copied to ant's lib
directory both build and test appears to go fine on:
  * java 1.2.2 on linux (ant)
  * java 1.3.1 on linux (ant and maven)
  * java 1.5 on linux (ant and maven)

However I think that that information in STATUS.html regarding
dependencies for the project really should be in the RELEASE-NOTES.txt
file. In particular, it should be noted that ant 1.6 is now needed to

And if you do go with using the <junit> tag in the build.xml, then I
think the RELEASE-NOTES.txt file should mention installing junit.jar
into ant's lib dir (or point to the info in the STATUS.html file).



To unsubscribe, e-mail:
For additional commands, e-mail:

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message